## python-trame 3.12.0

=== requirements.txt ===
trame>=3.10
vtk

=== docs/api/requirements.txt ===
vtk==9.4.2

pygments
sphinx<8
sphinx_rtd_theme

# Add external widgets

# core
trame-client>=3.9
trame-server>=3.4

# Vue 2
trame-grid-layout
trame-deckgl

# Vue 2/3
trame-vtk
trame-vuetify
trame-iframe
trame-keycloak
trame-xterm
trame-code
trame-vtk3d
trame-vtklocal
trame-rca
trame-markdown
trame-plotly
trame-vega
trame-router
trame-leaflet
trame-simput
trame-components
trame-matplotlib

# Vue 3
trame-formkit
trame-quasar
trame-datagrid
trame-image-tools

=== examples/00_howdoi/requirements.txt ===
trame>3
trame-vuetify
pandas
numpy

=== examples/02_vuetify/requirements.txt ===
trame>3
trame-vuetify
trame-router
trame-vega
altair
pandas
numpy

=== examples/03_markdown/requirements.txt ===
trame>3
trame-vuetify
trame-markdown

=== examples/04_trame-components/requirements.txt ===
trame>3
trame-vuetify
trame-components

=== examples/08_pydeck/requirements.txt ===
trame>3
trame-vuetify
trame-deckgl
trame-vega
pandas
numpy
altair
pydeck

=== examples/05_charts/Altair-Vega/requirements.txt ===
trame>3
altair
vega_datasets
trame-vuetify
trame-vega

=== examples/05_charts/Matplotlib/requirements.txt ===
trame>3
trame-vuetify
trame-components
trame-matplotlib
numpy

=== examples/05_charts/Plotly/requirements.txt ===
trame>3
trame-vuetify
trame-components
trame-plotly
plotly
pandas

=== examples/06_vtk/00_ClientOnly/requirements.txt ===
trame>3
trame-vuetify
trame-vtk

=== examples/06_vtk/01_SimpleCone/requirements.txt ===
trame>3
trame-vuetify
trame-vtk
vtk>=9.1

=== debian/changelog ===
python-trame (3.12.0-1) unstable; urgency=medium

  * Initial packaging.
  * Disable testsuite initially.

 -- Roland Mas <lolando@debian.org>  Fri, 14 Nov 2025 18:07:13 +0100

=== debian/control ===
Source: python-trame
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-msgpack <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-trame-client <!nocheck>,
 python3-trame-common,
 python3-trame-server <!nocheck>,
Standards-Version: 3.9.6
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/kitware/trame
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trame.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trame

Package: python3-trame
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python desktop-like applications in a web browser - core
 Trame is an easy-to-use, Python-based framework that let you create
 desktop like application which shows up in your web browser. You can
 create buttons, dialogs, 3D scenes with VTK/ParaView, charts, maps
 and much more.
 .
 It is great for any micro apps, dashboards, or even replacing a PyQt
 app into a web app. You can also use it in development, for example
 when tweaking/configuring 3D rendering, machine learning and more.
 .
 At the end your app can be used locally, remotely, in the cloud, in
 Jupyter or on HPC.
 .
 This package contains the core components.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	rm -r debian/*/usr/lib/python3*/dist-packages/docker
	rm -r debian/*/usr/lib/python3*/dist-packages/docs
	rm -r debian/*/usr/lib/python3*/dist-packages/examples

override_dh_auto_test:

=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,uversionmangle=s/rc/~rc/" \
https://github.com/kitware/trame refs/tags/v?(\d\S+)
